Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf
Class MAFAgentSystem

    java.lang.Object
      |
      +--com.ibm.maf.MAFAgentSystem

Direct Known Subclasses:
  MAFAgentSystem_AgletsImpl, MAFAgentSystem_ATPClient, MAFAgentSystem_RMIClient

public abstract class MAFAgentSystem
extends java.lang.Object

Field Summary
`static Opt[]` | `option_defs`

Constructor Summary
`MAFAgentSystem()`

Method Summary
`abstract Name` | `create_agent(Name agent_name, AgentProfile agent_profile, byte[] agent, java.lang.String place_name, java.lang.Object[] arguments, ClassName[] class_names, java.lang.String code_base, MAFAgentSystem class_provider)`
`abstract byte[][]` | `fetch_class(ClassName[] class_name_list, java.lang.String code_base, AgentProfile agent_profile)`
`abstract java.lang.String` | `find_nearby_agent_system_of_profile(AgentProfile profile)`
`abstract AgentStatus` | `get_agent_status(Name agent_name)`
`abstract AgentSystemInfo` | `get_agent_system_info()`
`abstract AuthInfo` | `get_authinfo(Name agent_name)`
`abstract MAFFinder` | `get_MAFFinder()`
`abstract java.lang.String` | `getAddress()`
`static MAFAgentSystem` | `getLocalMAFAgentSystem()`
`static MAFAgentSystem` | `getMAFAgentSystem(java.lang.String address)`
`static MAFAgentSystem` | `getMAFAgentSystem(Ticket ticket)`
`static void` | `initMAFAgentSystem(MAFAgentSystem l, java.lang.String protocol)`
`abstract Name[]` | `list_all_agents_of_authority(byte[] authority)`
`abstract Name[]` | `list_all_agents()`
`abstract java.lang.String[]` | `list_all_places()`
`abstract void` | `receive_agent(Name agent_name, AgentProfile agent_profile, byte[] agent, java.lang.String place_name, ClassName[] class_names, java.lang.String code_base, MAFAgentSystem class_sender)`
`abstract long` | `receive_future_message(Name agent_name, byte[] msg, MAFAgentSystem message_sender)`
`abstract void` | `receive_future_reply(long return_id, byte[] reply)`
`abstract byte[]` | `receive_message(Name agent_name, byte[] msg)` Messaging
`abstract void` | `receive_oneway_message(Name agent_name, byte[] msg)`
`abstract void` | `resume_agent(Name agent_name)`
`abstract byte[]` | `retract_agent(Name agent_name)`
`abstract void` | `setAddress(java.lang.String name)`
`static void` | `startMAFAgentSystem(MAFAgentSystem l, java.lang.String protocol)`
`abstract void` | `suspend_agent(Name agent_name)`
`abstract void` | `terminate_agent(Name agent_name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### option_defs

    public static final Opt[] option_defs

Constructor Detail

### MAFAgentSystem

    public MAFAgentSystem()

Method Detail

### create_agent

    public abstract Name create_agent(Name agent_name,
                                      AgentProfile agent_profile,
                                      byte[] agent,
                                      java.lang.String place_name,
                                      java.lang.Object[] arguments,
                                      ClassName[] class_names,
                                      java.lang.String code_base,
                                      MAFAgentSystem class_provider)
                               throws ClassUnknown,
                                      ArgumentInvalid,
                                      DeserializationFailed,
                                      MAFExtendedException

### fetch_class

    public abstract byte[][] fetch_class(ClassName[] class_name_list,
                                         java.lang.String code_base,
                                         AgentProfile agent_profile)
                                  throws ClassUnknown,
                                         MAFExtendedException

### find_nearby_agent_system_of_profile

    public abstract java.lang.String find_nearby_agent_system_of_profile(AgentProfile profile)
                                                                  throws EntryNotFound

### get_agent_status

    public abstract AgentStatus get_agent_status(Name agent_name)
                                          throws AgentNotFound

### get_agent_system_info

    public abstract AgentSystemInfo get_agent_system_info()

### get_authinfo

    public abstract AuthInfo get_authinfo(Name agent_name)
                                   throws AgentNotFound

### get_MAFFinder

    public abstract MAFFinder get_MAFFinder()
                                     throws FinderNotFound

### getAddress

    public abstract java.lang.String getAddress()

### getLocalMAFAgentSystem

    public static MAFAgentSystem getLocalMAFAgentSystem()

### getMAFAgentSystem

    public static MAFAgentSystem getMAFAgentSystem(Ticket ticket)
                                            throws java.net.UnknownHostException

### getMAFAgentSystem

    public static MAFAgentSystem getMAFAgentSystem(java.lang.String address)
                                            throws java.net.MalformedURLException,
                                                   java.net.UnknownHostException

### initMAFAgentSystem

    public static void initMAFAgentSystem(MAFAgentSystem l,
                                          java.lang.String protocol)
                                   throws MAFExtendedException

### list_all_agents

    public abstract Name[] list_all_agents()

### list_all_agents_of_authority

    public abstract Name[] list_all_agents_of_authority(byte[] authority)

### list_all_places

    public abstract java.lang.String[] list_all_places()

### receive_agent

    public abstract void receive_agent(Name agent_name,
                                       AgentProfile agent_profile,
                                       byte[] agent,
                                       java.lang.String place_name,
                                       ClassName[] class_names,
                                       java.lang.String code_base,
                                       MAFAgentSystem class_sender)
                                throws ClassUnknown,
                                       DeserializationFailed,
                                       MAFExtendedException

### receive_future_message

    public abstract long receive_future_message(Name agent_name,
                                                byte[] msg,
                                                MAFAgentSystem message_sender)
                                         throws AgentNotFound,
                                                ClassUnknown,
                                                DeserializationFailed,
                                                MAFExtendedException

### receive_future_reply

    public abstract void receive_future_reply(long return_id,
                                              byte[] reply)
                                       throws EntryNotFound,
                                              ClassUnknown,
                                              DeserializationFailed,
                                              MAFExtendedException

### receive_message

    public abstract byte[] receive_message(Name agent_name,
                                           byte[] msg)
                                    throws AgentNotFound,
                                           NotHandled,
                                           MessageEx,
                                           ClassUnknown,
                                           DeserializationFailed,
                                           MAFExtendedException

  Messaging

### receive_oneway_message

    public abstract void receive_oneway_message(Name agent_name,
                                                byte[] msg)
                                         throws AgentNotFound,
                                                ClassUnknown,
                                                DeserializationFailed,
                                                MAFExtendedException

### resume_agent

    public abstract void resume_agent(Name agent_name)
                               throws AgentNotFound,
                                      ResumeFailed,
                                      AgentIsRunning

### retract_agent

    public abstract byte[] retract_agent(Name agent_name)
                                  throws AgentNotFound,
                                         MAFExtendedException

### setAddress

    public abstract void setAddress(java.lang.String name)

### startMAFAgentSystem

    public static void startMAFAgentSystem(MAFAgentSystem l,
                                           java.lang.String protocol)
                                    throws MAFExtendedException

### suspend_agent

    public abstract void suspend_agent(Name agent_name)
                                throws AgentNotFound,
                                       SuspendFailed,
                                       AgentIsSuspended

### terminate_agent

    public abstract void terminate_agent(Name agent_name)
                                  throws AgentNotFound,
                                         TerminateFailed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD